import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class CheckDemo {
	static JFrame jframe = new JFrame("Example");
	
	public static void setupjframe() {
		jframe.setSize(400,100);
		jframe.setVisible(true);
		jframe.getContentPane().setLayout( new FlowLayout() );
		WindowListener l = new MyWindowAdapter();
		jframe.addWindowListener(l);
	}
	
	public static void main(String[] args) {
		setupjframe();
		JCheckBox jck1 = new JCheckBox("Pepperoni");
		JCheckBox jck2 = new JCheckBox("Mushroom");
		JCheckBox jck3 = new JCheckBox("Black olives");
		JCheckBox jck4 = new JCheckBox("Tomato");
		jck1.addActionListener(new MyActionListener());
		jck2.addItemListener(new MyItemListener());
		Container c = jframe.getContentPane();
		c.add(jck1);
		c.add(jck2);
		c.add(jck3);
		c.add(jck4);
		jframe.pack();
	}
}

class MyItemListener implements ItemListener {
	public void itemStateChanged(ItemEvent e) {
		if (e.getStateChange()==e.SELECTED)
			System.out.print("selected ");
		else 
			System.out.print("de-selected ");
		System.out.print("Mushroom\n");
	}
}

class MyActionListener implements ActionListener {
	public void actionPerformed(ActionEvent e) {
		System.out.println("event = " + e);
	}
}

class MyWindowAdapter extends WindowAdapter {
	public void windowClosing(WindowEvent e) {System.exit(0);}
}