/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */



import java.awt.BorderLayout;
import java.awt.GridLayout;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextArea;
import javax.swing.JTextField;

/**
 *
 * @author motta
 */
public class MainJFrame extends JFrame{

    private JButton jbpomodoro=new JButton("Produci Pomodoro");
    private JButton jbbasilico=new JButton("Produci Basilico");
    private JButton jbpatate=new JButton("Produci Patata");

    private JPanel jp1=new JPanel();
    private JPanel jp2=new JPanel();
    

    private JTextField jtresocontopomodori=new JTextField();
    private JTextField jtresocontobasilico=new JTextField();
    private JTextField jtresocontopatate=new JTextField();
    private ProduttoreListener p;

    public void updateGUI(int npom, int nbas, int npat){
        jtresocontopomodori.setText("Sono presenti " + npom + " pomodori");
        jtresocontobasilico.setText("Sono presenti " + nbas + " foglie di basilico");
        jtresocontopatate.setText("Sono presenti " + npat + " patate");
    }

    public void initGUI(ProduttoreListener p){
        this.p=p;
        initBehaviour();
        initComponents();
    }

    private void initBehaviour() {

        jbpomodoro.addActionListener(p);
        jbbasilico.addActionListener(p);
        jbpatate.addActionListener(p);

    }

    private void initComponents() {

        jp1.add(new JLabel("<html>Benvenuto al mercato<br>"
                + "Come produttore, clicca sul prodotto che vuoi produrre<br> "
                + "Il prodotto sarà immediatamente disponibile al mercato per i consumatori</html>"));

        jp2.setLayout(new GridLayout(2, 3));
        jp2.add(jbpomodoro);
        jp2.add(jbbasilico);
        jp2.add(jbpatate);
        jp2.add(jtresocontopomodori);
        jp2.add(jtresocontobasilico);
        jp2.add(jtresocontopatate);

        
        jtresocontopomodori.setEditable(false);
        jtresocontobasilico.setEditable(false);
        jtresocontopatate.setEditable(false);

        setLayout(new BorderLayout());
        add(jp1,BorderLayout.NORTH);
        add(jp2,BorderLayout.CENTER);
        

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        pack();
        setVisible(true);
    }

}
